﻿using Android.App;
using Android.Widget;
using Android.OS;
using Com.Syncfusion.Calendar;
using Java.Util;

namespace Calendar_Appointment
{
    [Activity(Label = "Calendar_Appointment", MainLauncher = true)]
    public class MainActivity : Activity
    {
        protected override void OnCreate(Bundle savedInstanceState)
        {
            base.OnCreate(savedInstanceState);
            SfCalendar sfCalendar = new SfCalendar(this);
            sfCalendar.ShowEventsInline = true;
            CalendarEventCollection eventsCollection = new CalendarEventCollection();
            CalendarInlineEvent events = new CalendarInlineEvent();

          
            //starting date of event
            Calendar startEventDate = Calendar.Instance;
            startEventDate.Set(2017, 9, 26, 10, 0, 0);
            events.StartTime = startEventDate;

            //ending date of event
            Calendar endEventDate = Calendar.Instance;
            endEventDate.Set(2017, 9, 26, 12, 0, 0);
            events.EndTime = endEventDate;

            //subject which will be going to add as content in Inline event appointments
            events.Subject = "Business Meeting";

            //Indicator color in appointments
            events.Color = Android.Graphics.Color.Red;

            eventsCollection.Add(events);

            //Add collection of events as source of SfCalendar

            sfCalendar.DataSource = eventsCollection;

            SetContentView(sfCalendar);
        }

      
    }
}

